gr::satellites::u482c_encode Class Reference

U482C Encoder. More...

`#include <u482c_encode.h>`

Inheritance diagram for gr::satellites::u482c_encode:

## Public Types

typedef std::shared_ptr< u482c_encode > | sptr

## Static Public Member Functions

static sptr | make (bool convolutional, bool scrambler, bool rs, int preamble_len, bool flags_in_golay)
| Create a U482C Encoder.

## Detailed Description

U482C Encoder.

This block is the opposite of u482c_encode. It performs frame encoding for the legacy U482C and some modes of the AX100. Input/output is PDUs. The main characteristic of the frame format implemented by this block is a 24-bit header that is Golay (24, 12) encoded and contains the length of the payload and some flags about the encoding.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<u482c_encode> gr::satellites::u482c_encode::sptr

## Member Function Documentation

## make()

sptr gr::satellites::u482c_encode::make | ( | bool | convolutional,
|  | bool | scrambler,
|  | bool | rs,
|  | int | preamble_len,
|  | bool | flags_in_golay )

static

Create a U482C Encoder.

Parameters

  convolutional | Enable convolutional encoding (not supported)
  scrambler | Enable CCSDS scrambling
  rs | Enable Reed-Solomon encoding
  preamble_len | Number of 0xAA bytes to add as preamble
  flags_in_golay | Add flags in Golay field

The documentation for this class was generated from the following file:

- u482c_encode.h